#include <iostream>

using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int a[n];
    if(k == 3)
    {
        if(n == 3)
        {
            a[0] = 1;
            a[1] = x+1;
            a[2] = 2*x+1;
        }
    }
    for(int i=0;i<n;i++)
        cout << a[i] << " ";
    return 0;
}